Subject: Re: [netlmm] Some questions fordraft-ietf-netlmm-pmip6-ipv4-support-03

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 9 Jul 2008 07:30:29 -0700 (PDT)

Hi Jonne,
  Absolutely. You said it nicely what I was trying to say.

Regards,

Behcet

----- Original Message ----
From: Soininen Jonne (NSN FI/Espoo) <[email-masked]>
To: Behcet Sarikaya <[email-masked]>; Vijay Devarapalli <[email-masked]>; ext Sri Gundavelli <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Sent: Tuesday, July 8, 2008 9:40:55 AM
Subject: Re: [netlmm] Some questions fordraft-ietf-netlmm-pmip6-ipv4-support-03

Hi,

IPv6 and IPv4 work a bit differently when it comes to addressing. You don't
generally talk in IPv4 about "prefixes", but you talk about single
addresses. In v4, it is ok to allocate a single address, and this is usually
the case (you usually don't really get a subnet from your ISP, but a single
address). 

In addition, in IPv4 a link can have just one IPv4 address (like in the case
of PPP or PPPoE/A). The hosts don't generate more addresses themselves, etc.
IPv4 is just different from IPv6 in this regard.

IMHO, the document should not talk about anything of IPv4 "prefixes" - in
IPv4 you don't often talk about prefixes, but subnets.

For the IPv4 case, a single address per MN is enough.

Cheers,

Jonne.
On 7/6/08 10:53 PM, "ext Behcet Sarikaya" <[email-masked]> wrote:

> I am OK if Dave Thaler is OK
> Besides, I don't think this document should specify IPv4 addressing model. The
> base document does specify it for IPv6 which is needed.
> 
> 
> 
> ----- Original Message ----
> From: Vijay Devarapalli <[email-masked]>
> To: Sri Gundavelli <[email-masked]>; Behcet Sarikaya <[email-masked]>
> Cc: [email-masked]
> Sent: Thursday, July 3, 2008 3:09:28 PM
> Subject: RE: [netlmm] Some questions
> fordraft-ietf-netlmm-pmip6-ipv4-support-03
> 
>> We dont have the luxury to alloate a unique prefix for each mobile
>> node. That multiplies the address space requirement by 4 times.
> 
> [behcet] There are solutions for this technical problem, I discussed this once
> with Dave, based on the use of private address space.
> 
>> 4903 recommendation is primarily for IPv6. All though some of
>> the issues are applicable to IPv4, we cannot go the extreme of
>> allocating a prefix for each node. This is inline with 3344,
>> 3344bis or DSMIP6.
> 
> Agree.
> 
> Vijay
> 
>> 
> Regards,
> 
> Behcet
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netlmm

-- 
Jonne Soininen
Nokia Siemens Networks

Tel: +358 40 527 46 34
E-mail: [email-masked]

_______________________________________________
netlmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netlmm

---

From: "Koodli, Rajeev" <[email-masked]>
Date: Wed, 9 Jul 2008 21:10:08 -0400

> 
> For IPv4 PDP contexts, I believe there is just one IPv4 address per
PDP
> context.
> 
> > However, in most cases its just a single address for attached
interface > > and that should be sufficient.
> Agree.

[RKo:>] Actually, one IPv4 address per PDP context right. However, a
single interface can have more than one PDP context. So, it can have
more than one IPv4 address. We should not be restricting this. 

-Rajeev

---

From: "Soininen Jonne (NSN FI/Espoo)" <[email-masked]>
Date: Thu, 10 Jul 2008 09:01:03 +0300

Hi,

Ok, maybe I didn't correctly put myself: I meant that one address is enough,
and you don't need a "prefix" for IPv4, like you do in the IPv6. You can
however give out as many addresses as you want, if you like.

<off-topic, just answering Rajeev and splitting hairs>On PDP contexts: Every
single PDP Context is a link of itself. So, I think strictly speaking every
PDP context creates its own interface in the mobile. <off-topic>

Cheers,

Jonne.

On 7/10/08 4:10 AM, "ext Koodli, Rajeev" <[email-masked]>
wrote:

> "This email message and any attachments are confidential information of
> Starent Networks, Corp. The information transmitted may not be used to create
> or change any contractual obligations of Starent Networks, Corp.  Any review,
> retransmission, dissemination or other use of, or taking of any action in
> reliance upon this e-mail and its attachments by persons or entities other
> than the intended recipient is prohibited. If you are not the intended
> recipient, please notify the sender immediately -- by replying to this message
> or by sending an email to [email-masked] -- and destroy all
> copies of this message and any attachments without reading or disclosing their
> contents. Thank you."

-- 
Jonne Soininen
Nokia Siemens Networks

Tel: +358 40 527 46 34

---

From: "Koodli, Rajeev" <[email-masked]>
Date: Thu, 10 Jul 2008 11:51:26 -0400

Hi,

> PDP context creates its own interface in the mobile. <off-topic>

[RKo:>] Splitting more hair.. By an interface I meant a physical
interface (to radio for example), which can have more than one logical
interface. In this case, the radio is "presented as a link" by the PDP
context, and the physical interface sees a corresponding logical
interface.

(FWIW, a link can be shared by multiple logical interfaces too)

-Rajeev

> > Starent Networks, Corp. The information transmitted may not be used
to
> create
> > or change any contractual obligations of Starent Networks, Corp.
Any
> review,
> > retransmission, dissemination or other use of, or taking of any
action
> in
> > recipient, please notify the sender immediately -- by replying to
this
> message
> > or by sending an email to [email-masked] -- and
destroy
> all
> > copies of this message and any attachments without reading or
disclosing
> their